Run a connector

Base URL
https://{kibana_url}
  • POST /api/actions/connector/{id}/_execute
Auth

You can use this API to test an action that involves interaction with Kibana services or integrations with third-party systems.

Path parameters

id string required

An identifier for the connector.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

params union oneOf required
One of:

Test an action that acknowledges or resolves a PagerDuty alert.

dedupKey string · max length: 255 required

The deduplication key for the PagerDuty alert.

eventAction enum required

The type of event.

Values: acknowledge resolve

Responses

Indicates a successful call.

application/json
auth_mode enum

The authentication mode used for the connector.

Values: shared per-user
config map string to object
connector_type_id string required

The connector type identifier.

id string required

The identifier for the connector.

is_connector_type_deprecated boolean required

Indicates whether the connector type is deprecated.

is_deprecated boolean required

Indicates whether the connector is deprecated.

is_missing_secrets boolean

Indicates whether the connector is missing secrets.

is_preconfigured boolean required

Indicates whether the connector is preconfigured. If true, the config and is_missing_secrets properties are omitted from the response.

is_system_action boolean required

Indicates whether the connector is used for system actions.

name string required

The name of the connector.

403

Indicates that this call is forbidden.

Base URL
https://{kibana_url}